package org.picketlink.federation.examples.ejb;

import javax.annotation.Resource;
import javax.annotation.security.RolesAllowed;
import javax.ejb.EJBContext;
import javax.ejb.Stateless;

import org.jboss.ejb3.annotation.SecurityDomain;

@Stateless(name = "EchoService")
@SecurityDomain(unauthenticatedPrincipal = "guest", value = "ejb")
public class EchoBean implements EchoService {

    @Resource
    private EJBContext ejbContext;

    @RolesAllowed("manager")
    public String echo(String text) {
        return text + this.ejbContext.getCallerPrincipal();
    }

    @RolesAllowed("no_role")
    public String echoUnauthorized(String text) {
        return echo(text);
    }

}
